BST FETCH(1)

NAME
bst-fetch - Fetch sources in a pipeline

SYNOPSIS
bst fetch [OPTIONS] TARGET

DESCRIPTION
Fetch sources required to build the pipeline By default this will only try to fetch sources which are required for the build plan of the specified target element, omitting sources for any elements which are already built and available in the artifact cache. Specify `--deps` to control which sources to fetch:
    none: No dependencies, just the element itself
    plan: Only dependencies required for the build plan
    all: All dependencies

OPTIONS

--except TEXT
    Except certain dependencies from fetching

-d, --deps [none|plan|all]
    The dependencies to fetch (default: plan)

--track
    Track new source references before fetching

--variant TEXT
    A variant of the specified target